Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.filter
Class GraphicsNodeRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.gvt.filter.GraphicsNodeRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter, PaintRable, GraphicsNodeRable

    public class GraphicsNodeRable8Bit

extends AbstractRable
implements GraphicsNodeRable, PaintRable

This implementation of RenderableImage will render its input GraphicsNode into a BufferedImage upon invokation of one of its createRendering methods.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`GraphicsNodeRable8Bit(GraphicsNode node)`
`GraphicsNodeRable8Bit(GraphicsNode node, boolean usePrimitivePaint)`
`GraphicsNodeRable8Bit(GraphicsNode node, Map props)`

Method Summary
`void` | `clearCache()` Clear any cached Red.
`RenderedImage` | `createRendering(RenderContext renderContext)` Creates a RenderedImage that represented a rendering of this image using a given RenderContext.
`Rectangle2D` | `getBounds2D()` Returns the bounds of this Rable in the user coordinate system.
`GraphicsNode` | `getGraphicsNode()` Returns the `GraphicsNode` rendered by this image
`boolean` | `getUsePrimitivePaint()` Returns true if this Rable get's it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it uses paint.
`boolean` | `isDynamic()` Returns true if successive renderings (that is, calls to createRendering() or createScaledRendering()) with the same arguments may produce different results.
`boolean` | `paintRable(Graphics2D g2d)` Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.
`void` | `setGraphicsNode(GraphicsNode node)` Sets the `GraphicsNode` this image should render
`void` | `setUsePrimitivePaint(boolean usePrimitivePaint)` Set to true if this Rable should get it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it should use paint.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth`

Constructor Detail

### GraphicsNodeRable8Bit

    public GraphicsNodeRable8Bit(GraphicsNode node)

Parameters:
  `node` - The GraphicsNode this image should represent

### GraphicsNodeRable8Bit

    public GraphicsNodeRable8Bit(GraphicsNode node,
                                 Map props)

Parameters:
  `node` - The GraphicsNode this image should represent
  `props` - The Properties for this image.

### GraphicsNodeRable8Bit

    public GraphicsNodeRable8Bit(GraphicsNode node,
                                 boolean usePrimitivePaint)

Parameters:
  `node` - the GraphicsNode this image should represent
  `usePrimitivePaint` - indicates if the image should include any filters or mask operations on `node`

Method Detail

### getUsePrimitivePaint

    public boolean getUsePrimitivePaint()

  Returns true if this Rable get's it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it uses paint.

  Specified by:
    `getUsePrimitivePaint` in interface `GraphicsNodeRable`

### setUsePrimitivePaint

    public void setUsePrimitivePaint(boolean usePrimitivePaint)

  Set to true if this Rable should get it's contents by calling primitivePaint on the associated `GraphicsNode` or false if it should use paint.

  Specified by:
    `setUsePrimitivePaint` in interface `GraphicsNodeRable`

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the `GraphicsNode` rendered by this image

  Specified by:
    `getGraphicsNode` in interface `GraphicsNodeRable`
  Returns:
    the `GraphicsNode` associated with this image.

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode node)

  Sets the `GraphicsNode` this image should render

  Specified by:
    `setGraphicsNode` in interface `GraphicsNodeRable`

### clearCache

    public void clearCache()

  Clear any cached Red.

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounds of this Rable in the user coordinate system.

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### isDynamic

    public boolean isDynamic()

  Returns true if successive renderings (that is, calls to createRendering() or createScaledRendering()) with the same arguments may produce different results. This method may be used to determine whether an existing rendering may be cached and reused. It is always safe to return true.

  Specified by:
    `isDynamic` in interface `RenderableImage`
  Overrides:
    `isDynamic` in class `AbstractRable`

### paintRable

    public boolean paintRable(Graphics2D g2d)

  Should perform the equivilent action as createRendering followed by drawing the RenderedImage to Graphics2D, or return false.

  Specified by:
    `paintRable` in interface `PaintRable`
  Parameters:
    `g2d` - The Graphics2D to draw to.
  Returns:
    true if the paint call succeeded, false if for some reason the paint failed (in which case a createRendering should be used).

### createRendering

    public RenderedImage createRendering(RenderContext renderContext)

  Creates a RenderedImage that represented a rendering of this image using a given RenderContext. This is the most general way to obtain a rendering of a RenderableImage.

  The created RenderedImage may have a property identified by the String HINTS_OBSERVED to indicate which RenderingHints (from the RenderContext) were used to create the image. In addition any RenderedImages that are obtained via the getSources() method on the created RenderedImage may have such a property.

  Specified by:
    `createRendering` in interface `RenderableImage`
  Parameters:
    `renderContext` - the RenderContext to use to produce the rendering.
  Returns:
    a RenderedImage containing the rendered data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.